#
# $Id: Genbank.pm 1081 2013-03-05 13:47:04Z manu $
#

package AnnotatedSeqFileWriter::Genbank;

=head1 NAME

AnnotatedSeqFileWriter::Genbank - Dump an AnnotatedSeq object to a Genbank file, derives from UsingBioPerl
                                  See http://www.ncbi.nlm.nih.gov/Sitemap/samplerecord.html

=head1 SYNOPSIS
	See AnnotatedSeq

=head1 DESCRIPTION

=cut
use strict;
use warnings;
use Carp;

use Error qw(:try);
use Bio::Seq;
use Data::Dumper;
use General;

use Locus;
use base qw( AnnotatedSeqFileWriter::UsingBioPerl );

BEGIN
{
    our $VERSION = do {my @r = (q$Rev: 1081 $ =~ /\d+/g); $r[0]};
}

=head2 procedure _Init

 Title        : _Init
 Usage        : my $o_gbk = New AnnotatedSeqFile::Embl(...);
 Function     : Constructor

=cut

sub _Init
{
	my $self = shift;
	push @_, 'genbank';
	$self->SUPER::_Init(@_);
}

=pod

=head1 COPYRIGHT NOTICE

This software is governed by the CeCILL license - www.cecill.info

=cut

1;


